> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/postgresql/how-tos/v2/view-postgresql-cluster-details.md).

# View PostgreSQL Clusters

After successfully configuring your PostgreSQL clusters, you can modify specific details, clone the cluster configuration, or delete a specific PostgreSQL cluster if it is no longer required. &#x20;

To view the PostgreSQL details, follow these steps:

* In the **DCD**, go to **Menu** > **Databases** > **PostgreSQL**. A list of all PostgreSQL clusters is displayed.

{% hint style="success" %}
**Result:** You can view the total number of resources allocated and the list of all clusters in addition to the following details:

* **NAME:** Displays the name of the cluster. Select the name of the cluster to view its [<mark style="color:blue;">details</mark>](#view-individual-cluster-details).
* **STATE:** Displays the state of the respective cluster:
  * **PROVISIONING:** When the cluster is being created.
  * **AVAILABLE:** When the cluster is available and running normally.
  * **UPDATING:** When the cluster is being updated. For example, after modifying its details or restoring from a backup.
  * **DESTROYING:** When the cluster is being deleted.
  * **FAILED:** An error occurred.
* **LOCATION:** Displays the location where the cluster is located.
* **INSTANCES:** Displays the number of instances.
* **VERSION:** The version selected during cluster creation.
* **OPTIONS:** Select ![Options menu](/files/zMw81MF9KCPxOHBMLSog) to perform the following:
  * **Details:** Select to view the [<mark style="color:blue;">details</mark>](#view-individual-cluster-details) of the respective cluster.
  * **Edit:** Select to edit the respective cluster.
  * **Delete:** Select to delete the corresponding cluster. In the dialog box that appears, select **Delete** to confirm deletion. For more information, see [<mark style="color:blue;">Delete a PostgreSQL Cluster</mark>](/cloud/databases/postgresql/how-tos/v2/delete-postgresql-cluster.md).
    {% endhint %}

![List of PostgreSQL clusters](/files/myb2dYKViWsaMEDvS3KB)

## View individual Cluster details

You can view the details of a specific cluster. To do so, follow these steps:

1\. In the **DCD**, go to **Menu** > **Databases** > **PostgreSQL**.

A list of all PostgreSQL clusters is displayed.

2\. Select a cluster from the list by clicking on its name. Alternatively, click **Details** in the **OPTIONS** column.

![Select a PostgreSQL cluster](/files/cO6E2sVZJCjpVbGXxUZp)

{% hint style="success" %}
**Result:** For the selected PostgreSQL cluster, you can view the following details:

* **Properties:**
  * **State:** The current state of the cluster.
  * **Cluster UUID:** The unique identifier of the cluster. Click **Copy** to copy it to the clipboard.
  * **DNS Name:** The DNS name used to connect to the cluster. Click **Copy** to copy it to the clipboard.
  * **PostgreSQL Version:** The PostgreSQL version selected during cluster creation.
  * **Location:** The location where the cluster is deployed.
* **Cluster configuration:**
  * **Instances:** The number of instances in the cluster.
  * **Synchronization mode:** The replication mode configured for the cluster.
  * **Connection pooler:** The connection pooler mode configured for the cluster.
  * **Backup location:** The region where cluster backups are stored.
  * **Backup retention (days):** The number of days backups are retained.
* **Instance configuration:**
  * **Number of CPUs:** The number of CPU cores allocated per instance.
  * **RAM Size:** The RAM allocated per instance.
  * **Storage:** The storage size allocated per instance.
* **Network configuration:**
  * **Virtual Data Center:** The datacenter selected for network configuration.
  * **VDC LAN:** Displays the LAN for the Virtual Data Center (VDC).
  * **IP/Subnet:** The private IP address and subnet used to connect to the cluster.
* **Maintenance period (Optional):**
  * **Weekday:** The day of the week scheduled for the maintenance window.
  * **Start Time:** The start time of the maintenance window in UTC.
* **Observability:**
  * **Logs:** Indicates whether log forwarding is allowed or not.
  * **Metrics:** Indicates whether metrics forwarding is allowed or not.
  * **Grafana dashboard:** You can open the metrics in [<mark style="color:blue;">Grafana</mark>](https://grafana.logging.de-txl.ionos.com/login). For more information, see [<mark style="color:blue;">Access Metrics from the Platform</mark>](/cloud/observability/monitoring-service/quick-start/access-metrics-from-platform.md).
* **Activity:**
  * **Created by:** The user who created the cluster.
  * **Created on:** The date and time the cluster was created.
  * **Last modified by:** The user who last modified the cluster.
  * **Last modified on:** The date and time of the last modification.
  * **Resource URN:** The unique resource identifier of the cluster. Click **Copy** to copy it to the clipboard.
* **Estimated costs:**
  * **Per hour:** The estimated hourly cost for the cluster.
  * **Per month:** The estimated monthly cost for the cluster.
    {% endhint %}

![View details of a PostgreSQL cluster](/files/kShhzpBmdcvlCT5rsnct)

## Next steps

You can perform the following actions as well from the **cluster details** page:

* [<mark style="color:blue;">Edit</mark>](/cloud/databases/postgresql/how-tos/v2/update-postgresql-cluster.md): Modify cluster properties such as instances, resources, and maintenance settings.
* [<mark style="color:blue;">Clone</mark>](/cloud/databases/postgresql/how-tos/v2/clone-postgresql-cluster.md): Create a copy of your cluster for testing or migration purposes.
* [<mark style="color:blue;">Delete</mark>](/cloud/databases/postgresql/how-tos/v2/delete-postgresql-cluster.md): Permanently remove a cluster that is no longer required.
* [<mark style="color:blue;">Backups</mark>](/cloud/databases/postgresql/how-tos/v2/restore-from-backup.md): Restore your cluster to a previous state using an available backup.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/databases/postgresql/how-tos/v2/view-postgresql-cluster-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
